Wallets, tokens & networks

Create Pending Allocation

Schedules a post-cutoff allocation change for one of the caller wallets, cancelling earlier pending ones.

POSThttps://api.toku.com/tga/create-pending-allocation

Not available to API keys.

curl --request POST \
  --url 'https://api.toku.com/tga/create-pending-allocation' \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '{
  "walletID": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
  "newDistributionRatio": 0,
  "newFixedAmount": 0,
  "distributionType": "PERCENTAGE",
  "applyAfterPayDate": "2026-01-01T00:00:00Z",
  "reason": "string"
}'
200 response
{
  "success": true,
  "pendingAllocation": {
    "pendingAllocationID": "string",
    "roleInOrgID": "string",
    "walletID": "string",
    "newDistributionRatio": "string",
    "newFixedAmount": "string",
    "distributionType": "string",
    "applyAfterPayDate": "string",
    "status": "string",
    "appliedAt": "string",
    "reason": "string",
    "createdAt": "string",
    "updatedAt": "string",
    "orgID": "string"
  },
  "message": "string"
}

Authorizations

Authorizationstringheaderrequired

Bearer authentication header of the form Bearer <token>, where <token> is an access token from a Toku sign-in. See Authentication in the API reference.

Body

application/json

walletIDstring<uuid>required
newDistributionRationumber

Allowed: 0 to 100

newFixedAmountnumber

Allowed: at least 0

distributionTypestringrequired

Available options: PERCENTAGE, FIXED_AMOUNT

applyAfterPayDatestring<date-time>required
reasonstring

Allowed: at most 1000 characters

Response

200Successful response
successbooleanrequired
pendingAllocationobject
Show child attributes
pendingAllocationIDstringrequired
roleInOrgIDstringrequired
walletIDstringrequired
newDistributionRatiostring | nullrequired
newFixedAmountstring | nullrequired
distributionTypestringrequired
applyAfterPayDatestringrequired
statusstringrequired
appliedAtstring | nullrequired
reasonstring | nullrequired
createdAtstringrequired
updatedAtstringrequired
orgIDstringrequired
messagestringrequired
400Bad request
401Unauthorized
403Forbidden
404Not found
409Conflict
429Response 429
Was this page helpful? Suggest edits